CH_SCANF(3)

FUNCTION
ch_scanf - Read formatted input from a channel.

SYNOPSIS
#include <karma_ch.h>

int ch_scanf

(Channel channel, CONST char *format, ...)

DESCRIPTION
Read formatted input from a channel.

channel
    The channel object.

format
    The format string. See <<fscanf>>.

... The optional parameters. See <<fscanf>>.

RETURN VALUE
The number of objects scanned.

Multi-threading Level
Unsafe.

NOTES
This function requires the standard C library <<vsscanf>> function, which is not supported under Solaris 2.

This function will internally read a line at a time. Beware.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/